Import: COMMIT issue
Can't reproduce (sqlite 3.22, Ubuntu 18.04, kernel 5.8.13, master).
Anyone else?
I see the same. It only happens when importing new images, not if the imported images are already in the db.
I have just push a fix, don't really know why using dt debug routines was not working. But well... don't have time to dig further.
Hum... embarrassing I just have removed the error message :)
Ok, understood this is because between the new added transaction we have tow other transactions in exif.cc. I don't think SQLITE3 supports nested transactions.
See #11155.